Package org.codehaus.groovy.control

## Interface ParserPlugin

- All Known Implementing Classes:
    `Antlr4ParserPlugin`, `AntlrParserPlugin`

      public interface ParserPlugin

  A simple extension point to allow us to switch between the classic Groovy parser and the new Antlr based parser(s).

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ModuleNode` | `buildAST​(CharSequence sourceText, CompilerConfiguration config, GroovyClassLoader loader, ErrorCollector errors)` |
    `ModuleNode` | `buildAST​(SourceUnit sourceUnit, ClassLoader classLoader, Reduction cst)` |
    `Reduction` | `parseCST​(SourceUnit sourceUnit, Reader reader)` |

- - ### Method Detail

    - #### parseCST

          Reduction parseCST​(SourceUnit sourceUnit,
                             Reader reader)
                      throws CompilationFailedException

      Throws:
        `CompilationFailedException`

    - #### buildAST

          ModuleNode buildAST​(SourceUnit sourceUnit,
                              ClassLoader classLoader,
                              Reduction cst)
                       throws ParserException

      Throws:
        `ParserException`

    - #### buildAST

          static ModuleNode buildAST​(CharSequence sourceText,
                                     CompilerConfiguration config,
                                     GroovyClassLoader loader,
                                     ErrorCollector errors)
                              throws CompilationFailedException

      Throws:
        `CompilationFailedException`